PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveFrequencyCyl::FieldZ Struct Reference

`#include <solvers/optical/effective/efm.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveFrequencyCyl::FieldZ:
[legend]

## Public Member Functions
| FieldZ ()=default
| FieldZ (dcomplex f, dcomplex b)
FieldZ | operator* (dcomplex a) const
FieldZ | operator/ (dcomplex a) const
FieldZ | operator*= (dcomplex a)
FieldZ | operator/= (dcomplex a)

## Public Attributes
dcomplex | F
dcomplex | B

## Detailed Description

Definition at line 33 of file efm.hpp.

## Constructor & Destructor Documentation

## ◆ FieldZ() [1/2]

plask::optical::effective::EffectiveFrequencyCyl::FieldZ::FieldZ | ( |  | ) |
| default

## ◆ FieldZ() [2/2]

plask::optical::effective::EffectiveFrequencyCyl::FieldZ::FieldZ | ( | dcomplex | f,
|  | dcomplex | b
| ) |  |
| inline

Definition at line 36 of file efm.hpp.

## Member Function Documentation

## ◆ operator*()

FieldZ plask::optical::effective::EffectiveFrequencyCyl::FieldZ::operator* | ( | dcomplex | a | ) | const
| inline

Definition at line 37 of file efm.hpp.

## ◆ operator*=()

FieldZ plask::optical::effective::EffectiveFrequencyCyl::FieldZ::operator*= | ( | dcomplex | a | ) |
| inline

Definition at line 39 of file efm.hpp.

## ◆ operator/()

FieldZ plask::optical::effective::EffectiveFrequencyCyl::FieldZ::operator/ | ( | dcomplex | a | ) | const
| inline

Definition at line 38 of file efm.hpp.

## ◆ operator/=()

FieldZ plask::optical::effective::EffectiveFrequencyCyl::FieldZ::operator/= | ( | dcomplex | a | ) |
| inline

Definition at line 44 of file efm.hpp.

## Member Data Documentation

## ◆ B

dcomplex plask::optical::effective::EffectiveFrequencyCyl::FieldZ::B

Definition at line 34 of file efm.hpp.

## ◆ F

dcomplex plask::optical::effective::EffectiveFrequencyCyl::FieldZ::F

Definition at line 34 of file efm.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.hpp